<html lang="fr" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, breadcrumbs=~{::breadcrumbs}, globalContent=~{::globalContent})}">
<head>
<th:block th:fragment="scripts">
    <script th:src="@{/js/app/form/validate.js}"></script>
</th:block>
</head>
<body>
 	<div th:fragment="globalContent">
        <div id="breadcrumbs">
            <ol id="breadcrumbs" class="breadcrumb">
	            <li><a th:href="${@appProperties.getProperty('frontUrl')}" th:text="#{Home}"></a></li>
	            <li><a th:href="${@appProperties.getProperty('ui.dashboard.url')}" th:text="#{My records}"></a></li>
	        </ol>
	    </div>
		<div class="row">
	    	<div class="col-md-12">
                <form name="record" th:action="@{/postmail/search}" method="post" role="form" class="row">
                    <div class="panel panel-primary">
						<div class="panel-heading">
							<h3 class="panel-title">
							    <span th:text="#{Tracking postmail}"></span>
							 </h3>
						</div>
						<div class="panel-body-container">
							<div class="panel-body">
								<div class="form-group">
									<div>
										<div>
											<div class="col-md-12">
												<div class="form-group">
													<label class="control-label col-sm-2" for="trackId"><span th:text="#{Identifiant Exchange}"></span></span>
													<span class="obligatoire" th:text="#{*}"></span>
													</label>
													<div class="col-sm-8">
													  	<input type="text" class="form-control" name="trackIdSearch" maxlength="18" data-parsley-required="true">
												  	</div>
											  		<button class="btn btn-primary">
											  			<span th:text="#{Search}"></span>
											  		</button>
												</div>
											</div>
								
											<div class="col-md-12">
						                        <div class="form-group">
									                <table id="listePostmailStatus" class="table table-stripped table-condensed table-hover" 
										                data-toggle="datatable" 
										                data-page-length="10" 
										                data-length-change="false" 
										                data-processing="true"
										                data-searching="false" 
										                data-paging-type="full_numbers">
									                    <thead>
									                        <tr>
									                            <th class="trackId" th:text="#{Identifiant}" data-class="trackId" data-data="trackerId">Id Suivi</th>
									                            <th class="docId" th:text="#{Id doc}" data-class="docId" data-data="deliveryId">Id doc</th>
									                            <th class="urgency" th:text="#{Type}" data-class="urgency" data-data="urgency">Type</th>
									                            <th class="recipientName" th:text="#{Recipient}" data-class="recipientName" data-data="recipientName">Recipient</th>
									                            <th class="dateAction" th:text="#{Date}" data-class="dateAction" data-data="dateAction">Date</th>
									                            <th class="status" th:text="#{Status}" data-class="status" data-data="status">Status</th>
									                        </tr>
									                    </thead>
														<tbody>
															<tr th:each="postmailStatus : ${listePostmailStatus}">
																<td><span th:text="${postmailStatus.trackerId}"></span></td>
																<td><span th:text="${postmailStatus.deliveryId}"></span></td>
																<td><span th:text="${postmailStatus.urgency}"></span></td>
																<td><span th:text="${postmailStatus.recipientName}"></span></td>
																<td><span th:text="${postmailStatus.datePostmail}"></span></td>
																<td><span th:text="${postmailStatus.status}"></span></td>
																<td>
																	<a th:href="@{/postmail/download(trackId=${postmailStatus.trackerId})}">
																		<i class="fa fa-2x fa-file"></i>
																	</a>
																</td>
															</tr>
														</tbody>
									                </table>
						                        </div>
											</div>
					
											<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel">
												<div class="modal-dialog" role="document">
											    	<div class="modal-content">
											    		<div class="modal-header">
											        		<h4 class="modal-title" id="myModalLabel"><span th:text="#{Information}"></span></h4>
											      		</div>
											      		<div class="modal-body"><span th:text="#{No result}"></span></div>
											      		<div class="modal-footer">
															<a th:href="@{/postmail/search}" class="btn btn-primary" th:text="#{Back}"></a>
											      		</div>
											    	</div>
											  	</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<script th:inline="javascript">
					 var notFound = [[${notFound}]];
						if(notFound==true){
					  		window.onload = function myFunction(){
					    	 $('#myModal').modal('show') 
					 	;}
						}
					</script>
				</form>
			</div>
		</div>
	</div>
	
</body>
</html>